import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _PKIdentityDocumentDescriptor } from "./PKIdentityDocumentDescriptor.js";
export declare class _PKIdentityAnyOfDescriptor extends _NSObject {
    static alloc(): _PKIdentityAnyOfDescriptor;
    static new(): _PKIdentityAnyOfDescriptor;
    init(): _PKIdentityAnyOfDescriptor;
    /** Returns a composite document descriptor with specified descriptors. */
    initWithDescriptors$(descriptors: _NSArray): _PKIdentityAnyOfDescriptor;
    /** Set of requested descriptors for the composite document descriptor. */
    descriptors(): _NSArray;
}
export interface _PKIdentityAnyOfDescriptor extends _PKIdentityDocumentDescriptor {
}
